import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import OpenSuseLogoLight from './OpenSuseLogoLight';
import OpenSuseLogoDark from './OpenSuseLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const OpenSuseLogoSvg = forwardRef(function OpenSuseLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(OpenSuseLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(OpenSuseLogoLight, Object.assign({}, props, { ref: ref })));
});
export default OpenSuseLogoSvg;
